'*******************************************************************************
'Programm for Display ILI9486 320x480
'
'Bascom IDE 2.0.7.8
'
'    Version: V10
'    Date:22.05.2014
'    Email: Hkipnik@aol.com
'    Copyright (c) 2013 Hkipnik.  All rights reserved.
'
'   http://creativecommons.org/licenses/by-sa/3.0/de/
'
'   Sie drfen:
'
'     * das Werk bzw. den Inhalt vervielfltigen, verbreiten und ffentlich zugnglich machen
'
'     * Abwandlungen und Bearbeitungen des Werkes bzw. Inhaltes anfertigen
'
'   Zu Den Folgenden Bedingungen:
'
'     * Namensnennung.
'       Sie mssen den Namen des Autors/Rechteinhabers in der von ihm festgelegten Weise nennen.
'
'     * Keine kommerzielle Nutzung.
'       Dieses Werk darf nicht fr kommerzielle Zwecke verwendet werden.
'
'     * Weitergabe unter gleichen Bedingungen.
'       Wenn Sie das lizenzierte Werk bzw. den lizenzierten Inhalt bearbeiten
'       oder in anderer Weise erkennbar als Grundlage fr eigenes Schaffen verwenden,
'       drfen Sie die daraufhin neu entstandenen Werke bzw. Inhalte nur
'       unter Verwendung von Lizenzbedingungen weitergeben, die mit denen
'       dieses Lizenzvertrages identisch oder vergleichbar sind.
'
'*******************************************************************************
$nocompile

Const Red = &HF800
Const Green = &H07E0
Const Blue = &H001F
Const White = &HFFFF
Const Black = &H0000
Const Yellow = &HFFE0
Const Cyan = &H0410
Const Magenta = &H8010
Const Brown = &HFC00
Const Olive = &H8400
Const Light_gray = &H8410
Const Dark_gray = &H4208
Const Light_blue = &H841F
Const Light_green = &H87F0
Const Light_cyan = &H87FF
Const Light_red = &HFC10
Const Gray1 = &HC618
Const Gray2 = &HA514
Const Gray3 = &H630C
Const Gray4 = &H4208
Const Gray5 = &H2104
Const Gray6 = &H3186

Const Blue0 = &H1086
Const Blue1 = &H3188
Const Blue2 = &H4314
Const Blue3 = &H861C

Const Cyan0 = &H3D34
Const Cyan1 = &H1DF7

Const Green0 = &H0200
Const Green1 = &H0208

Const Brown1 = &HF2CD           'eher rot

#if Lcd_mode = 1
  Const X_size = 319
  Const Y_size = 479
#elseif Lcd_mode = 2
  Const X_size = 319
  Const Y_size = 479
#elseif Lcd_mode = 3
  Const X_size = 479
  Const Y_size = 319
#elseif Lcd_mode = 4
  Const X_size = 479
  Const Y_size = 319
#endif


Declare Sub Lcd_init()
Declare Sub Lcd_write_command(byval Command As Byte)
Declare Sub Lcd_write_data(byval Da_ta As Byte)

Declare Sub Lcd_write_color(byval Color As Word)
Declare Sub Lcd_set_window(byval Xpos As Word , Byval Ypos As Word , Byval Xsize As Word , Byval Ysize As Word)
Declare Sub Lcd_clear(byval Color As Word)
Declare Sub Lcd_set_pixel(byval X As Word , Byval Y As Word , Byval Color As Word)

Declare Sub Lcd_fill_circle(byval X As Word , Byval Y As Word , Byval Radius As Word , Byval Color1 As Word)
Declare Sub Lcd_circle(byval X As Word , Byval Y As Word , Byval Radius As Word , Byval Color As Word)
Declare Sub Lcd_line(byval X1 As Word , Byval Y1 As Word , Byval X2 As Word , Byval Y2 As Word , Byval Pen_width As Byte , Byval Color As Word)
Declare Sub Lcd_pic_sram(byval Xs As Word , Byval Ys As Word , Byval Breite As Word , Byval Height As Word )
Declare Sub Lcd_box(byval Xstart As Word , Byval Ystart As Word , Byval Xend As Word , Byval Yend As Word , Byval Fill As Byte , Byval Color As Word , Byval Bordercolor As Word)
Declare Sub Lcd_show_bgc(byval Xoffset As Word , Byval Yoffset As Word)

Declare Sub Lcd_text(byval Lcd_text As String , Byval Lcd_posx As Word , Byval Lcd_posy As Word , Byval Fontset As Byte , Byval Forecolor As Word , Byval Backcolor As Word , Byval Bold As Byte)
Dim Zeichenarray(100) As Byte

Dim Rgb16 As Word
Dim Rgb16_low As Byte At Rgb16 Overlay
Dim Rgb16_high As Byte At Rgb16 + 1 Overlay
Dim Prevpixel As Word

Dim Hoehe As Word
Dim Breit As Word



'*******************************************************************************